Bug 8222 - The zip code field is mandatory by default
Summary: The zip code field is mandatory by default
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Bugs List
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-10 14:54 UTC by Robin Sheat
Modified: 2013-12-05 19:57 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8222 - make the zipcode no longer mandatory (2.25 KB, patch)
2012-06-10 14:57 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 8222 - make the zipcode no longer mandatory (2.25 KB, patch)
2012-06-10 15:42 UTC, Michael Davis
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8222 - make the zipcode no longer mandatory (2.32 KB, patch)
2012-06-10 15:43 UTC, Michael Davis
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2012-06-10 14:54:53 UTC
The 'zipcode' field is mandatory by default when creating a patron. This is quite annoying in places where the zipcode isn't all that important.
Comment 1 Robin Sheat 2012-06-10 14:57:59 UTC Comment hidden (obsolete)
Comment 2 Michael Davis 2012-06-10 15:42:46 UTC Comment hidden (obsolete)
Comment 3 Michael Davis 2012-06-10 15:43:53 UTC
Created attachment 10133 [details] [review]
[SIGNED-OFF] Bug 8222 - make the zipcode no longer mandatory

Having the zipcode field mandatory by default is a bit annoying for
places where no one cares about it. This patch stops it being the case
on new installs.

Signed-off-by: Michael Davis <m.r.davis@cranfield.ac.uk>
Comment 4 Ian Walls 2012-06-11 13:53:53 UTC
Thank you, this has been an annoyance on my test machines many a time.

Simple patch, changes default entry for syspref value only.  Upgraded installs unaffected.  Passed QA.
Comment 5 Paul Poulain 2012-06-20 08:46:53 UTC
(changed the component, it's related to installer module, not patron)
Comment 6 Chris Cormack 2012-06-20 21:17:45 UTC
No string changes, pushed to 3.8.x will be in 3.8.2